/* Filter Menu */

.filter-group:nth-child(2) {
    display: none!important;
}

.loader {
  padding: 60px 0;
  text-align: center;
  font-family: $script;
	margin: 0 auto;
}

.loader svg {
  color: color(brand, gold);
  font-size: 28px;
}

.loader p {
  color: color(brand, gold);
  font-size: 48px;
}

.toggle-filter {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  padding: 15px;
  text-align: center;
  font-family: $heading;
  text-transform: uppercase;
  border: none;
  font-size: 20px;
  background-color: color(brand, green);
  color: #fff;
}

.toggle-filter::after {
  content: '';
  display: block;
  position: relative;
  top: 6px;
  width: 0;
  height: 0;
  margin-left: 15px;
  border-style: solid;
  border-width: 6px;
  border-color: #fff transparent transparent transparent;
  transition: all 0.25s linear;
}

.toggle-filter:focus {
  outline: none;
}

.toggle-filter.active::after {
  top: 1px;
  transform: rotate(180deg);
}

.filters {
  display: none;
  padding: 15px 0;
}

.filters.open {
  display: block;
}

.filter {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

.filter button {
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: $regular;
  font-size: 16px;
  line-height: 1;
  background: #f1f4f5;
  border: none;
  padding: 10px 20px;
  width: 100%;
  text-align: center;
	font-weight: 300;
  font-size: 12px;
	color: #3b3b3b;
	opacity: 1!important;
}

button.filter--expand {
    outline: none!important;
    border: none!important;
}

.filter button:hover {
	color: #3b3b3b!important;
}

.filter button::after {
  content: '';
    display: block;
    position: relative;
    top: 4px;
		margin-left: 8px;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 6px;
    border-color: #3b3b3b transparent transparent transparent;
    transition: all 0.25s linear;
}
}

.filter button.active::after {
  top: -1px;
  transform: rotate(180deg);
}

.filter button img {
  display: block;
  width: 16px;
  margin-right: 5px;
}

.filter-group {
  display: flex;
  flex-wrap: wrap;
}

.filter-group:nth-child(2) {
  width: 100%;
}

.filter-group:nth-child(2) {
  width: auto;
  margin-left: auto;
}

.filter-group .filter-item {
  width: 50%;
  margin-bottom: 10px;
}

.filter-group .filter-item {
  width: auto;
  margin: 0;
}

.filter-group label {
  display: flex;
  align-items: center;
  margin-right: 20px;
  font-size: 16px;
  line-height: 1;
}

.filter-group input[type="checkbox"] {
  margin-right: 5px;
  border: 1px solid black;
  width: 16px;
  height: 16px;
}

.filter-group input[type="checkbox"]:focus {
  outline: none;
}

.filter-group input[type="checkbox"]:checked {
  background-color: color(brand, green);
  background-clip: content-box;
  padding: 2px;
}

.filter-group label img {
  display: block;
  width: 16px;
  margin-right: 5px;
}

.filter-group--expand {
  width: 100%;
  padding-top: 0;
  max-height: 0;
  overflow: hidden;
  transition: all 0.25s linear;
}

.filter-group--expand .filter-item {
  flex: 0 0 50%;
  margin-top: 20px;
  opacity: 0;
  transition: opacity 0.25s linear;
  transition-delay: 0s;
}

.filter-group--expand.open {
  max-height: 250px;
	padding-bottom: 10px;
}

.filter-group--expand.open .filter-item {
  opacity: 1;
  transition: opacity 0.25s linear;
  transition-delay: 0.35s;
}

button.toggle-filter {
    background: #043F2C!important;
}

.hidden {
	display: none!important;
}

@media screen and (max-width:768px) {
	.filter-group {
		padding-left: 10px;
		padding-right: 10px;
	}
	.filter-group .filter-item {
		width: 50%!important;
	}
	.filter .filter-group:nth-child(2) {
    width: 100%;
    padding-top: 20px;
}
	.filter .filter-group:first-child .filter-item {
    margin-bottom: 10px!important;
}
}

@media screen and (min-width:768px) {
	.toggle-filter {
		display: none;
	}
	.filters {
		display: block!important;
		padding: 0px 20px!important;
		margin-bottom: -15px;
	}
	
	.filter button {
		background: none!important;
	}
	
	.filter-group:nth-child(2) {
		width: auto!important;
		margin-left: auto!important;
	}
	
	.filter-group--expand .filter-item {
	flex: 0 0 25%!important;	
	}
	
	.filter-group--expand .open {
		max-height: 164px!important
	}
}

@media screen and (min-width:1024px) {
	.filter-group--expand .filter-item {
	flex: 0 0 14%!important;	
	}
}